MsWrdTextInternal::Line Struct Reference

Internal and low level: a structure to store a line or a cell of a MsWrdText. More...

## Public Types

enum | Type { L_Line , L_Cell , L_LastLineCell , L_LastRowCell }
| an enum used to differentiate line and cell More...

## Public Member Functions

| Line ()
| constructor

## Public Attributes

Type | m_type
| the line type
MWAWVec2l | m_cPos
| the caracter position

## Detailed Description

Internal and low level: a structure to store a line or a cell of a MsWrdText.

## Member Enumeration Documentation

## Type

enum MsWrdTextInternal::Line::Type

an enum used to differentiate line and cell

Enumerator
L_Line |
L_Cell |
L_LastLineCell |
L_LastRowCell |

## Constructor & Destructor Documentation

## Line()

MsWrdTextInternal::Line::Line | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_cPos

MWAWVec2l MsWrdTextInternal::Line::m_cPos

the caracter position

Referenced by Line(), MsWrdText::prepareLines(), MsWrdText::prepareParagraphProperties(), and MsWrdText::prepareTableLimits().

## m_type

Type MsWrdTextInternal::Line::m_type

the line type

Referenced by Line(), MsWrdText::prepareLines(), MsWrdText::prepareParagraphProperties(), and MsWrdText::prepareTableLimits().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx